$(function() {
    //左滑右滑效果
    var moveDiv = "";
    var bookItem = "";

    setTimeout(function() {
        for (var i = 0; i < $(".swipe-item").length; i++) {

            moveDiv = $(".swipe-item")[i];
            bookItem = $(".book-item")[i];
            var startX;
            var curX;
            var touchmove = false;
            moveDiv.addEventListener('touchstart', function(ev) {
                startX = ev.touches[0].pageX;
                startY = ev.touches[0].clientY;
                // console.log("startY:"+startY);
            }, false);
            moveDiv.addEventListener('touchmove', function(ev) {
                var left = $(this).css('left');
                var curY = ev.touches[0].clientY;
                var curX = ev.touches[0].pageX;
                var disX = Math.abs(curX - startX);
                var disY = Math.abs(curY - startY);
                // console.log("curY:" + curY + "   disY:" + disY);
                // console.log("startX - curX:" + (startX - curX));
                // console.log("disX - disY:"+Math.abs(disX - disY));
                if (curX != 0 && disX > 5 && disY < 20) {
                    // console.log('进来了111');
                    touchmove = true;
                } else {
                    touchmove = false;
                }

                if (touchmove) {
                    // console.log('进来了');
                    if (ev.cancelable) {
                        ev.preventDefault();
                    }

                    if (startX - curX >= 0) { //左滑
                        // console.log(parseInt(left))
                        if (parseInt(left) > -96) {
                            $(this).css('left', curX - startX + 'px');
                        }
                    } else {
                        if (parseInt(left) < 0) {
                            $(this).css('left', ((curX - startX) - 96) + 'px');
                        }
                    }
                }



            }, false);
            moveDiv.addEventListener('touchend', function(ev) {

                // ev.preventDefault();
                var endX, endY;


                endX = ev.changedTouches[0].pageX;
                endY = ev.changedTouches[0].clientY;
                
                touchmove = false;
                

                var direction = GetSlideDirection(startX, startY, endX, endY);

                switch (direction) {
                    case 0:
                        $(this).animate({ left: "0" });
                    break;
                    case 1:
                        if(startX - endX > 48){
                            $(this).animate({ left: "-96px" });

                            $(this).find('.book-item').css('border-radius', '0px');
                            $(this).find('.book-item').css('-webkit-border-radius', '0px');
                        }else{
                            $(this).animate({ left: "0" });
                        }

                        break;
                    case 2:
                        if(endX - startX > 48){
                            $(this).animate({ left: "0" });
                            $(this).find('.book-item').css('border-radius', '20px');
                            $(this).find('.book-item').css('-webkit-border-radius', '20px');
                        }else{
                            $(this).animate({ left: "-96px" });
                        }

                        break;
                    default:
                }
            }, false);
        }
    }, 1000);


})

function GetSlideAngle(dx, dy) {
    return Math.atan2(dy, dx) * 180 / Math.PI;
}

//根据起点和终点返回方向 1：向左，2：向右,
function GetSlideDirection(startX, startY, endX, endY) {
    var dy = startY - endY;
    var dx = endX - startX;
    var result = 0;

    //如果滑动距离太短  
    if (Math.abs(dx) < 2 && Math.abs(dy) < 2) {
        return result;
    }
    var angle = GetSlideAngle(dx, dy);
    if (angle >= -45 && angle < 45) {
        result = 2;
    } else if ((angle >= 135 && angle <= 180) || (angle >= -180 && angle < -135)) {
        result = 1;
    }

    return result;
}