/**
 * 底部标签菜单-加入复习
 */
 var reviewPlanMap = []
function buildReviewTag(stemObj){
    let timeTag = buildDateTag(stemObj.createTime)
    let teacherInputTag = ''
    if(stemObj.creatorType === 0){
        teacherInputTag = buildTeacherInputTag1()
    }
    let btnTag = buildAddPlanTag(stemObj)
    return timeTag + teacherInputTag + btnTag
}
function buildTeacherInputTag1(){
    let tag = `<span class="teacherInputTag">老师录入</span>`
    return tag
}
function buildAfterPlanTag(){
    return `<span class="right infotag">已加入复习</span>`
}

function buildAddPlanTag(stemObj){
    if(stemObj && stemObj.joinReviewStatus !== undefined){
        if(stemObj.joinReviewStatus === 0){
            reviewPlanMap[stemObj.questionId] = stemObj
            let addPlanTxt = `<span class="operation-btntag-txt">加入复习</span>`;
            let addPlanImg = `<img class = "operation-btntag-img" src="../images/similar_add.png" />`;
            let addPlanBtn = `<div class="right"><div class="operation-btntag-box" id="addPlan${stemObj.questionId}" onclick="add2Plan(${stemObj.questionId})">${addPlanTxt}${addPlanImg}</div></div>`;
            return addPlanBtn
        }else{
            return buildAfterPlanTag()
        }
    }
    return ''
}

function add2Plan(questionId){

    var fnName = getFnName('addReviewCallback')
    let stemObj = reviewPlanMap[questionId]
    console.log('fnname:',fnName)
    // console.log('generate fn:',fnName)
    // console.log('stemObj:',stemObj)
    // console.log('questionid:',stemObj.questionId)
    window[fnName] = function(res) {
        appAddReviewCallback(res, stemObj.questionId);
        delete window[fnName];
    };
    let requestAppParam = JSON.stringify({
        "stem": stemObj,
        "result": fnName
    })
    if (isIos) {
        try{
            window.webkit.messageHandlers.addReview2Plan.postMessage(requestAppParam);
        }catch(e){
            console.log('call ios function error:',e)
        }
        
    } else {
        try{
            xgj.addReview2Plan(requestAppParam);
        }catch(e){
            console.log('call android function error:',e)
        }
    }
}
function appAddReviewCallback(res,questionId){
    if(res.code === 1){
        let addPlanTag = $("#addPlan"+questionId)
        let tagBarWrapper = addPlanTag.parent().parent()
        addPlanTag.remove()
        tagBarWrapper.append(buildAfterPlanTag())
    }else{
        console.log("添加到复习失败")
    }
    
}
