function buildSimilarTag(stemObj){
    let addSimilarTxt = `<span class="operation-btntag-txt">相似题</span>`;
    let addSimilarImg = `<img class = "operation-btntag-img" src="../images/similar_add.png" />`;
    let addSimilarBtn = `<div class="right"><div class="operation-btntag-box" id="addSimilar${stemObj.questionId}" onclick="addSimilarClick(${stemObj.questionId})">${addSimilarTxt}${addSimilarImg}</div></div>`;
    return addSimilarBtn
}

//生成相似题
function addSimilarClick(questionId){
    var fnName = getFnName('generateSimilar')
    console.log('fnName:',fnName)
    window[fnName] = function(res) {
        similarCallback(res, questionId);
        delete window[fnName];
    };
    var stemObj = stemMap[questionId];

    let requestAppParam = JSON.stringify({
        "stem": stemObj,
        "result": fnName
    });
    // testSimilar(stemObj);
    if (isIos) {
        try{
            window.webkit.messageHandlers.generateSimilar.postMessage(requestAppParam);
        }catch(e){
            console.log('call ios function error:',e)
        }
    } else {
        try{
            xgj.generateSimilar(requestAppParam);
        }catch(e){
            console.log('call android function error:',e)
        }   
       
    }
}