/*!
 * 一些通用的底部标签
 */


//生成通用查看详情标签
function buildDetailBtnTag(questionId,x3TeacherId,questionStudentId){
   return `<div class="detail-btntag" onclick=toDetail(${questionId},${x3TeacherId},${questionStudentId})>查看详情</div>`
}
//生成日期通用标签
function buildDateTag(timestamp){
    let time = Date.parse(timestamp) / 1000;
    if (isIos) {
        time = Date.parse(timestamp.replace(/-/g, '/')) / 1000;
    }
    return buildInfoTag(timestampFormat(time),null)
}
//生成通用的文字类标签
function buildInfoTag(infos,separator){
    if(Array.isArray(infos)){
        if(infos.length > 1){
            if(!separator){
                separator = '·'
            }
            return `<span class="infotag">${infos.join(separator)}</span>`
        }else{
            return `<span class="infotag">${infos}</span>`
        }
    }else{
        return `<span class="infotag">${infos}</span>`
    }
}
//时间戳转换文字显示
function timestampFormat(timestamp) {
    function zeroize(num) {
        return (String(num).length == 1 ? '0' : '') + num;
    }

    var curTimestamp = parseInt(new Date().getTime() / 1000); //当前时间戳
    var timestampDiff = curTimestamp - timestamp; // 参数时间戳与当前时间戳相差秒数

    var curDate = new Date(curTimestamp * 1000); // 当前时间日期对象
    var tmDate = new Date(timestamp * 1000); // 参数时间戳转换成的日期对象

    var Y = tmDate.getFullYear(),
        m = tmDate.getMonth() + 1,
        d = tmDate.getDate();
    var H = tmDate.getHours(),
        i = tmDate.getMinutes(),
        s = tmDate.getSeconds();

    if (timestampDiff < 60) { // 一分钟以内
        return "刚刚";
    } else if (timestampDiff < 3600) { // 一小时前之内
        return Math.floor(timestampDiff / 60) + "分钟前";
    } else if (curDate.getFullYear() == Y && curDate.getMonth() + 1 == m && curDate.getDate() == d) {
        return '今天' + zeroize(H) + ':' + zeroize(i);
    } else {
        var newDate = new Date((curTimestamp - 86400) * 1000); // 参数中的时间戳加一天转换成的日期对象
        if (newDate.getFullYear() == Y && newDate.getMonth() + 1 == m && newDate.getDate() == d) {
            return '昨天' + zeroize(H) + ':' + zeroize(i);
        } else if (curDate.getFullYear() == Y) {
            return zeroize(m) + '月' + zeroize(d) + '日 ' + zeroize(H) + ':' + zeroize(i);
        } else {
            return Y + '年' + zeroize(m) + '月' + zeroize(d) + '日 ' + zeroize(H) + ':' + zeroize(i);
        }
    }
}
//点击某道题目
function toDetail(questionId,x3TeacherId,questionStudentId) {
    // console.log('questionId:',questionId,'  x3teacherid:',x3TeacherId)
    // let requestAppParam = JSON.stringify({
    //     "questionId": questionId,
    //     "x3TeacherId": x3TeacherId === 'undefined' ? '' : x3TeacherId,
    //     "questionStudentId": questionStudentId === 'undefined' ? '' : questionStudentId
    // })
    // console.log('requestappparam:',requestAppParam)
    // if (isIos) {
    //     try{
    //         window.webkit.messageHandlers.clickStem.postMessage(requestAppParam);
    //     }catch(e){
    //         console.log('call ios function error:',e)
    //     }
    // } else {
    //     try{
    //         xgj.clickStem(requestAppParam);
    //     }catch(e){
    //         console.log('call android function error:',e)
    //     }
    // }
    // return false;
    clickStem(questionId,x3TeacherId,questionStudentId)
}