function buildKnowledgeTag(stemObj,isSelf){
    let knowledgeTag = ''
    let infoTag = ''
    let teacherNameTag = ''
    //波哥说拿掉知识点
    // if (stemObj.knowledgeList && stemObj.knowledgeList.length > 0) {
    //     var knowledgeLength = stemObj.knowledgeList.length;
    //     knowledgeTag = `<span class="knowledgeTag" id="knowledge${stemObj.questionId}" >已关联${knowledgeLength}个知识点</span>`
    // }else{
    //     knowledgeTag = `<span class="knowledgeTag" id="knowledge${stemObj.questionId}">未关联知识点</span>`

    //     // knowledgeTag = `<span class="noKnowledgeTag" id="knowledge${stemObj.questionId}" onclick=relatingKnowledge(${stemObj.questionId})>去关联知识点 ></span>`
    // }
    if(stemObj.teacherName && stemObj.creatorType === 0 && !isSelf){
        teacherNameTag = `<span class="teacherNameTag" id="teacherName${stemObj.questionId}" >${stemObj.teacherName}</span>`
    }
    let time = ''
    if (stemObj.createTime) {
        time = Date.parse(stemObj.createTime) / 1000;
        if (isIos) {
            time = Date.parse(stemObj.createTime.replace(/-/g, '/')) / 1000;
        }
    }else if(stemObj.inputTime){
        time = Date.parse(stemObj.inputTime) / 1000;
        if (isIos) {
            time = Date.parse(stemObj.inputTime.replace(/-/g, '/')) / 1000;
        }
    }
    let number = (stemObj.errorNumber === null ? 0 : stemObj.errorNumber);
    if(!stemObj.allocate){
        infoTag = `<span class="right infotag"> ${timestampFormat(time)} · 未分配学生</span>`
    }else{
        infoTag = `<span class="right infotag"> ${timestampFormat(time)} · ${number}人出错</span>`
    }
    return teacherNameTag + infoTag
}
function relatingKnowledge(questionId) {
    var fnName = getFnName('relatingKnowledge');
    window[fnName] = function(res) {
        knowledgeCallback(res, questionId);
        delete window[fnName];
    };
    var stemObj = stemMap[questionId];
    let requestAppParam = JSON.stringify({
        "stem": stemObj,
        "result": fnName
    })
    // testRelating(stemObj);
    try{
        if (isIos) {
            window.webkit.messageHandlers.selectKnowledge.postMessage(requestAppParam);
        } else {
            xgj.selectKnowledge(requestAppParam);
        }
    }catch(e){
        console.log('调用APP selectKnowledge方法失败，方法不存在')
    }
    
}
function knowledgeCallback(res, questionId){
    var result = JSON.parse(JSON.stringify(res));
    if (result.code === 1) {
        var knowledgeObj = result.data;
        var knowledgeId = '#knowledge' + questionId;
        console.log('knowledgeid:',knowledgeId)
        if (knowledgeObj.knowledgeList && knowledgeObj.knowledgeList.length > 0) {
            var knowledgeLength = knowledgeObj.knowledgeList.length;
            $(knowledgeId).removeClass("noKnowledgeTag").addClass("knowledgeTag");
            var value = JSON.parse(JSON.stringify('已关联'+knowledgeLength+'个知识点 >'));
            $(knowledgeId).text(value);
        } else {
            $(knowledgeId).removeClass("knowledgeTag").addClass("noKnowledgeTag");
            $(knowledgeId).text("去关联知识点 >");
        }
    }
}
function testRelating(stemObj) {
    
    var data = getKnowledgeTestData();
    knowledgeCallback(data, stemObj.questionId)
}
function getKnowledgeTestData() {
   var i = Math.floor((Math.random() * 5) + 1);
    if (i >= 5) {
        return getKnowledgeTestData();
    }else{
        var data = stemObj[i];
        var result = {
            "data": data,
            "code": 1
        }
        return result;
    }
}
