/**
 * 可勾选的题目渲染item
 */
function buildCheckableStemItem(stemObj, tagsBar){
    let id = ''
    if(stemObj.questionRelationId){
        id = stemObj.questionRelationId
    }else{
        id = stemObj.questionId
    }
    let input = `<div class="checkbox-parent">
                    <input type="checkbox" class="checkbox" id="${stemObj.id}" name="cb"  disabled="true">
                    <label for="${stemObj.id}"></label>
                </div>`;
    // let btnDetailTag = buildDetailBtnTag(stemObj.questionId,stemObj.x3TeacherId,stemObj.questionStudentId)
    tagsBar = `<div class="bottom" style="padding:10px 0px 10px 0px">${tagsBar}</div>`//+ btnDetailTag
    let commonStemItem = buildCommonStemItemNoEvent(stemObj,tagsBar)

    // let stemItem = `<div class="stem-item-wrapper" onclick="chooseStem(${stemObj.questionId})">${input}${commonStemItem}</div>`
    // let param = JSON.stringify(stemObj)

    let stemItem = `<div class="stem-item-wrapper" onclick="chooseStem(${stemObj.id})">${input}${commonStemItem}</div>`
    return stemItem
}
var stemMap = []
var showCb = false
var isSelf = true
//可动态显示/隐藏勾选
function buildDynamicCbStemItem(stemObj, tagsBar,isSelf){
    this.isSelf =  isSelf
    let sid = ''
    console.log(stemObj.questionRelationId)
    if(stemObj.questionRelationId){
        sid = stemObj.questionRelationId
    }else{
        sid = stemObj.questionId
    }
    stemMap[sid] = stemObj
    let input = ''
    let stemContent = ''
    let commonStemItem = ''
    let stemItem = ''
    let iconBoutique = ''
    if(stemObj.boutique === 1 && isSelf){
        iconBoutique = `<img style="width:30px;height:18px;position:absolute;margin:-1.33rem" src="../images/icon_boutique.png"/>`
    }
    if(showCb){
        input = `<div class="checkbox-parent">
                    <input type="checkbox" class="checkbox" id="${sid}" name="cb"  disabled="true">
                    <label for="${sid}"></label>
                </div>`;
        tagsBar = `<div class="bottom" style="padding:10px 0px 0px 0px"><div class="tagbar">${tagsBar}</div></div>`
        stemContent = renderStemContent(stemObj)
        commonStemItem = `<div class="stem-item" >${iconBoutique}${stemContent}${tagsBar}</div>`
        stemItem = `<div class="stem-item-wrapper" onclick="chooseStem(${sid})">${input}${commonStemItem}</div>`
    }else{
        input = `<div class="checkbox-parent" style="display:none">
                    <input type="checkbox" class="checkbox" id="${sid}" name="cb"  disabled="true">
                    <label for="${sid}"></label>
                </div>`;
        tagsBar = `<div class="bottom" style="padding:10px 0px 0px 0px"><div class="tagbar">${tagsBar}</div></div>`
        stemContent = renderStemContent(stemObj)
        
        commonStemItem = `<div class="stem-item"> ${iconBoutique}${stemContent}${tagsBar}</div>`
        
        stemItem = `<div class="stem-item-wrapper" onclick="clickStem(${stemObj.questionId},${stemObj.x3TeacherId},${stemObj.questionStudentId})">${input}${commonStemItem}</div>`
    }
    
   
    return stemItem
}
function setBoutique(){
    let  iconBoutique = `<img style="width:30px;height:18px;position:absolute;margin:-1.33rem" src="../images/icon_boutique.png"/>`
    $.each($(".checkbox"),function(i,item){
        if($(item).prop("checked")){
            $(item).attr("checked",false)
            if(this.isSelf){
                $(item).parent().parent().find(".stem-item").prepend(iconBoutique)
            }
            setTotalStem(0)
        }
        
    })
    
}
function setCbState(isShow){
    showCb = isShow
    $.each($(".checkbox-parent"),function(i,item){
        let qid = $(item).find(".checkbox")[0].id
        if(isShow){
            $(item).parent().attr("onclick", "chooseStem(" + qid + ")");
            $(item).show()
        }else{
            $(item).hide()
            let stemObj = stemMap[qid]
            $(item).parent().attr("onclick", "clickStem(" + stemObj.questionId + "," + stemObj.x3TeacherId + "," + stemObj.questionStudentId + ")");
        }
        
    })
}

function selectAllCb(isSelect){
    if(showCb){
        let allCbLength = $(".checkbox").length
        $.each($(".checkbox"),function(i,item){
            if(isSelect){
                if(!$(item).prop("checked")){
                    $(item).attr("checked",true)
                    stemChooseNum = allCbLength
                   
                }
            }else{
                if($(item).prop("checked")){
                    $(item).attr("checked",false)
                    stemChooseNum = 0
                   
                }
            }
        })
        if(isSelect){
            setTotalStem(allCbLength)
        }else{
            setTotalStem(0)
        }
    }
}
