/**
 * 可删除的题目渲染item
 */
function buildDeletableStemItem(stemObj,tagsBar){
    let commonStemItem = buildCommonStemItem(stemObj,tagsBar)
    let btnDelete = `<div onclick=deleteStemClick(${stemObj.questionId})><img class="item-delete" src="../images/stem_delete.png" ></img></div>`
    let stemItem = `<div class="stem-item-wrapper" id="stemitem${stemObj.questionId}">${commonStemItem}${btnDelete}</div>`
    return stemItem
}

function deleteStemClick(questionId){
    var fnName = getFnName('deleteStem')
    console.log('fnname:',fnName)
    window[fnName] = function(res) {
        if (res.code === 1) {
            var ids = '#stemitem' + questionId
            $(ids).remove();
            removeStemFromPaper(questionId)
        } else {
            console.log('删除失败');
        }
        delete window[fnName];
    };
    let requestAppParam = JSON.stringify({
        "questionId": questionId,
        "result": fnName
    });
    if (isIos) {
        window.webkit.messageHandlers.deleteStem.postMessage(requestAppParam);
    } else {
        xgj.deleteStem(requestAppParam);
    }
}
//从组卷数组删除
function removeStemFromPaper(questionId){
    if(paperStems){
        $.each(paperStems, function(i, stemObj) {
            if (stemObj.questionId === questionId) {
                paperStems.splice(i, 1);
                return false;
            }
        })
        setTotalStem(paperStems.length)
    }
    
}