//生成相似题item
function buildSimilarStem(similarObj,origQuestionId,number){
    let stemContent = renderStemContent(similarObj)
    var similarMark = `<div class="mark"></div>`
    var itemTitle = `<span class="title" id="similarTitle${origQuestionId}${similarObj.stemId}">相似题</span>`

    var itemTitleBar = `<div class ="item-titlebar">${similarMark}${itemTitle}</div>`
    let stemItem  = `<div class="similar-item" onclick=clickSimilar(${similarObj.stemId},${origQuestionId})>${itemTitleBar}${stemContent}</div>`    
    let btnDelete = `<div  onclick=deleteSimilarItem(${origQuestionId},${similarObj.stemId})><img  class="item-delete" src="../images/stem_delete.png" ></img></div>`
   
    let similarItem = `<div class="stem-item-wrapper"  id="similaritem${origQuestionId}${similarObj.stemId}">${stemItem}${btnDelete}</div>`
    return similarItem
}
function deleteSimilarItem(origQuestionId,stemId){
    var fnName = getFnName('deleteStem')
    console.log('fnname:',fnName)
    window[fnName] = function(res) {
        if (res.code === 1) {
            let ids = '#similaritem' + origQuestionId + stemId
            $(ids).remove();
            removeSimilarFromPaper(stemId,origQuestionId)
        } else {
            console.log('删除失败')
        }
        delete window[fnName];
    };
    let requestAppParam = JSON.stringify({
        "questionId": origQuestionId,
        "stemId": stemId,
        "result": fnName
    });
    if (isIos) {
        window.webkit.messageHandlers.deleteStem.postMessage(requestAppParam);
    } else {
        xgj.deleteStem(requestAppParam);
    }
}
//从组卷数组删除
function removeSimilarFromPaper(stemId,origQuestionId){
    if(paperStems){
        $.each(paperStems, function(i, similarObj) {
            if (similarObj.stemId === stemId) {
                paperStems.splice(i, 1);
                return false;
            }
        })
        let similarList = similarMap[origQuestionId]
        $.each(similarList, function(i, n) {
            if (n.stemId === stemId) {
                similarMap[origQuestionId].splice(i,1)
                return false;
            }
        })
        setTotalStem(paperStems.length)
    }
}
function clickSimilar(stemId,origQuestionId){
    let similarList = similarMap[origQuestionId]
    let similarObj = {}
    $.each(similarList, function(i, n) {
        if (n.stemId === stemId) {
            similarObj = n
            return false;
        }
    })
    let requestAppParam = JSON.stringify({
        "questionId": origQuestionId,
        "stemId": stemId,
        "similarObj": similarObj
    })
    console.log('request similar detail:',requestAppParam)
    if (isIos) {
        try{
            window.webkit.messageHandlers.clickSimilar.postMessage(requestAppParam);
        }catch(e){
            console.log('call ios function error:',e)
        }
    } else {
        try{
            xgj.clickSimilar(requestAppParam);
        }catch(e){
            console.log('call android function error:',e)
        }
    }
    return false;
}